## org.apache.commons.math.linear
Class RealVector.Entry

    java.lang.Object
      org.apache.commons.math.linear.RealVector.Entry

Direct Known Subclasses:
  AbstractRealVector.EntryImpl, OpenMapRealVector.OpenMapEntry

Enclosing interface:
  RealVector

    public abstract static class RealVector.Entry

extends java.lang.Object

Class representing a modifiable entry in the vector.

Field Summary
`private int` `index` Index of the entry.

Constructor Summary
`RealVector.Entry()`

Method Summary
`int` `getIndex()` Get the index of the entry.
`abstract double` `getValue()` Get the value of the entry.
`void` `setIndex(int index)` Set the index of the entry.
`abstract void` `setValue(double value)` Set the value of the entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    private int index

  Index of the entry.

Constructor Detail

### RealVector.Entry

    public RealVector.Entry()

Method Detail

### getValue

    public abstract double getValue()

  Get the value of the entry.

  Returns:
    value of the entry

### setValue

    public abstract void setValue(double value)

  Set the value of the entry.

  Parameters:
    `value` - new value for the entry

### getIndex

    public int getIndex()

  Get the index of the entry.

  Returns:
    index of the entry

### setIndex

    public void setIndex(int index)

  Set the index of the entry.

  Parameters:
    `index` - new index for the entry

Copyright (c) 2003-2010 Apache Software Foundation